/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.PtovtaAgencia;

/**
 *
 * @author Desenvolvimento
 */
public class BancoRender implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
    	PtovtaAgencia pto = (PtovtaAgencia) o;

    	StringBuilder banco = new StringBuilder("");
    	StringBuilder tipo = new StringBuilder("");
    	
    	if (pto.getInstiFinanceiraId() != null) {
        	if (pto.getInstiFinanceiraId().getCodigo() != null) {
        		banco.append(pto.getInstiFinanceiraId().getCodigo());
        	}

        	if (pto.getInstiFinanceiraId().getNome() != null) {
        		if (!banco.toString().isEmpty()) {
        			banco.append(" - ");
        		}
        		
        		banco.append(pto.getInstiFinanceiraId().getNome());
        	}
    	}
    	
    	if (pto.getTipo() != null) {
    		tipo.append(pto.getTipo().equals("CC") ? PtovtaAgencia.enumTipoConta.CONTACORRENTE.descricao() : PtovtaAgencia.enumTipoConta.POUPANCA.descricao());
    	}
    	
    	if (!banco.toString().isEmpty()) {
            Listcell lc = new Listcell(banco.toString());
            lc.setParent(lstm);
            
            lc = new Listcell(tipo.toString());
    		lc.setParent(lstm);

    		lstm.setAttribute("data", pto);
    	}
    }
}
